Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 29.12.2013, 19:28  postituse pealkiri:  Ioncube Loader paigaldamisega problemid[LAHENDATUD]  

Vakking-pukking - maadelnud mitu tundi aga ei saa uuendatud ioncube 4.2.2 to 4.5.0 või mis iganes versioonile. Uue paigaldatava tarkvara minimuum nõue on ioncube 4.4.2

Serveris selline kompott peal: Debian 7.3 ja Parallels Plesk Panel v11.5.30, tegemist dedi serveriga

Pleskis ei oska ma seda kusagilt uuendada, nikerdan läbi SSH

Olukord selline hetkel
Kood:

# php -v
Failed loading /usr/local/ioncube/ioncube_loader_lin_5.3.so:  /usr/local/ioncube/ioncube_loader_lin_5.3.so: undefined symbol: php_body_write
PHP 5.4.4-14+deb7u7 (cli) (built: Dec 12 2013 08:42:07)
Copyright (c) 1997-2012 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2012 Zend Technologies
    with the ionCube PHP Loader v4.2.2, Copyright (c) 2002-2012, by ionCube Ltd.


/usr/local/ioncube/ katalooma sisu
Kood:

# ls
ioncube_loader_lin_4.1.so     ioncube_loader_lin_5.1_ts.so
ioncube_loader_lin_4.2.so     ioncube_loader_lin_5.2.so
ioncube_loader_lin_4.3.so     ioncube_loader_lin_5.2_ts.so
ioncube_loader_lin_4.3_ts.so  ioncube_loader_lin_5.3.so
ioncube_loader_lin_4.4.so     ioncube_loader_lin_5.3_ts.so
ioncube_loader_lin_4.4_ts.so  ioncube_loader_lin_5.4.so
ioncube_loader_lin_5.0.so     ioncube_loader_lin_5.4_ts.so
ioncube_loader_lin_5.0_ts.so  ioncube_loader_lin_5.5.so
ioncube_loader_lin_5.1.so     ioncube_loader_lin_5.5_ts.so


/etc/php5/apache2/php.ini sisu ehk siis lisasin vajaliku faili lõppu
Kood:


; Directory where to load mcrypt modes
; Default: Compiled in into libmcrypt (usually /usr/local/lib/libmcrypt)
;mcrypt.modes_dir=

[dba]
;dba.default_handler=

; Local Variables:
; tab-width: 4
; End:

zend_extension = /usr/local/ioncube/ioncube_loader_lin_5.3.so


Kasutasin seda juhendit http://www.debiantutorials.com/installing-ioncube/

Aru ma ei mõista enam kus mis on puudu või valesti ...SOS




Viimati muutis -IFFI- 30.12.2013, 05:22; muudetud 1 kord
laurik
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 20.12.2008
Postitused: 68
Asukoht: Pärnumaa
Distributsioon: Estobuntu
estonia.gif
postituspostitatud: 29.12.2013, 19:43  postituse pealkiri:  (teema puudub)  

php -v kostab, et tegu v5.4 -ga ehk siis see zend_extension peaks ka sama numbriga olema..


-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 29.12.2013, 19:46  postituse pealkiri:  (teema puudub)  

5.4 on PHP version, see ei tohiks ju siin rolli mängida...präät probleem ju et ta ei laadi mul seda loaderit ära ...miski undefined sümbol milest ma ei saa aru

Või saan mam milleski väga valesti aru


laurik
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 20.12.2008
Postitused: 68
Asukoht: Pärnumaa
Distributsioon: Estobuntu
estonia.gif
postituspostitatud: 29.12.2013, 19:52  postituse pealkiri:  (teema puudub)  

jah, tulebki vastavalt php versioonile sobiv .so laadida.


-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 29.12.2013, 19:56  postituse pealkiri:  (teema puudub)  

Nu muutsin php.inis 5.4.so

restart apachele ja ika väidab, et ei suuda seda 5.3.so laadida, see jutt ei muutu kuidagi, ennem ma muutsin ka igasuguseks noid ja ei midagi...

ja huvitav, et locate ei näita ültse seda /usr/local kasuats olevaid ioncubesid
Kood:
# locate ioncube
/etc/php5/conf.d/00-ioncube-loader-5.4.ini
/usr/lib/php5/20100525/ioncube_loader_lin_5.1.so
/usr/lib/php5/20100525/ioncube_loader_lin_5.2.so
/usr/lib/php5/20100525/ioncube_loader_lin_5.3.so
/usr/lib/php5/20100525/ioncube_loader_lin_5.4.so
/usr/lib/x86_64-linux-gnu/php/modules/sw-engine/ioncube_loader_lin_5.4.so
/var/cache/apt/archives/php5-ioncube-loader_4.2.2-13062618_amd64.deb
/var/lib/dpkg/info/php5-ioncube-loader.conffiles
/var/lib/dpkg/info/php5-ioncube-loader.list
/var/lib/dpkg/info/php5-ioncube-loader.md5sums
/var/lib/dpkg/info/php5-ioncube-loader.postinst
/var/lib/dpkg/info/php5-ioncube-loader.postrm


Sain selle jama korda vaja oli number muuta ka failis
Kood:

/etc/php5/conf.d/ioncube.ini


Nüüd on miski already loaded ja loaderi version on ikka 4.2.2

Kood:
# php -v
PHP Warning:  Module 'ionCube Loader' already loaded in Unknown on line 0
The ionCube PHP Loader is disabled because of startup problems.
PHP 5.4.4-14+deb7u7 (cli) (built: Dec 12 2013 08:42:07)
Copyright (c) 1997-2012 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2012 Zend Technologies
    with the ionCube PHP Loader v4.2.2, Copyright (c) 2002-2012, by ionCube Ltd., and


laurik
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 20.12.2008
Postitused: 68
Asukoht: Pärnumaa
Distributsioon: Estobuntu
estonia.gif
postituspostitatud: 29.12.2013, 20:15  postituse pealkiri:  (teema puudub)  

already loaded - juba laetud. Kuskil confis (tõenäoliselt php.ini-s) 4.2 extensioni rida olemas. See tuleks väljakommenteerida (# rea algusesse).


-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 29.12.2013, 20:22  postituse pealkiri:  (teema puudub)  

kustutasin ültse ära seal kuhu ma ta ennem lisasin ja ikka sama jama Very Happy


laurik
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 20.12.2008
Postitused: 68
Asukoht: Pärnumaa
Distributsioon: Estobuntu
estonia.gif
postituspostitatud: 29.12.2013, 20:29  postituse pealkiri:  (teema puudub)  

einoh, kustutada küll aga mitte see viimatilisatud sealt php.ini-lõpust vaid kuskilt ülaltpoolt 4.2.2 rida..


-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 29.12.2013, 20:36  postituse pealkiri:  (teema puudub)  

Sellist rida pole nagu 4.2.2 hakkab pihat taas utoopia RazzRazz

locate tulemus
Kood:
# locate 4.2.2
/var/cache/apt/archives/php5-ioncube-loader_4.2.2-13062618_amd64.deb


mida see loader seal endast kujutab???


laurik
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 20.12.2008
Postitused: 68
Asukoht: Pärnumaa
Distributsioon: Estobuntu
estonia.gif
postituspostitatud: 29.12.2013, 20:41  postituse pealkiri:  (teema puudub)  

Kas seal php.ini -s lihtsalt 4.2 on olemas?


-IFFI-
Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 25.06.2005
Postitused: 1394
Asukoht: Lappeenranta-Turku
Distributsioon: Debian - MX Linux
finland.gif
postituspostitatud: 29.12.2013, 20:48  postituse pealkiri:  (teema puudub)  

probleemi lahendus siis selline

Tänu sellele käsule sain teada kus tegelikuses koer oli maetud
Kood:

php -i | grep extension_dir


siis eemaldasin kogu selle faili ja ioncube katalooma
Kood:

/usr/local/ioncube/ioncube_loader_lin_5.3.so


kustutasin ära kõik sellised read
Kood:

zend_extension = /usr/lib/php5/20100525/ioncube_loader_lin_5.4.so


järgmistest failidest

Kood:
# nano /etc/php5/conf.d/ioncube.ini

/etc/php5/apache2/php.ini



jätsin alles ainult siia faili
Kood:
/etc/php5/conf.d/00-ioncube-loader-5.4.ini


Ioncube support foorum pangu ennast põlema, sealt sain aint vastuse otsi ülesse kõik failid kus see veel võib olla ja kustuta ära topelt failid. AAHHVVVIIIIII ...selline support võib olemata ka olla...

Lahenduseni siis jõutsin tonnide kaupa erinevaid google tulemusi sõeludes... ja sitaks on paska ja valet täis juhendeid kus õpetatakse jummala valesti....see juhend mida ma kasutasin oli puhta vale ja tänu sellele kõik peeti läkski. Kopi-pastetakse kiiruga miski õpetus maha omale mis google otsingu tulemusega nr 1 on ja pistetakse oma lehele et tõsta SEO-d....idiooodid Very Happy

Nüüd on jäänud aint üks mure kuda see kuramuse ionCube PHP Loader v4.2.2 ära uuendada 5.4.0 versile...
hakkame aga taas googel-moogelit sõeluma Razz


Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group